# <small>nlohmann::json_sax::</small>number_unsigned

```cpp
virtual bool number_unsigned(number_unsigned_t val) = 0;
```

An unsigned integer number was read.

## Parameters

`val` (in)
:   unsigned integer value

## Return value

Whether parsing should proceed.

## Version history

- Added in version 3.2.0.
